var searchData = {
  "modules": [
    {
      "id": "lang.annotations",
      "description": "\u003cp\u003eThis module provides predefined annotations and default error type declaration.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    }
  ],
  "classes": [],
  "functions": [],
  "records": [
    {
      "id": "StrandData",
      "description": "\u003cp\u003eDescribes Strand execution details for the runtime.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    }
  ],
  "constants": [],
  "errors": [
    {
      "id": "\u0027error",
      "description": "\u003cp\u003eDefault error type.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    }
  ],
  "types": [
    {
      "id": "Thread",
      "description": "",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    }
  ],
  "clients": [],
  "listeners": [],
  "annotations": [
    {
      "id": "tainted",
      "description": "\u003cp\u003eDenote that the return value is tainted.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "untainted",
      "description": "\u003cp\u003eDenote that the return value is untainted, parameter expect untainted value, type cast mark value untainted,\ndenote a listener as producing untainted arguments to service resource params.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "typeParam",
      "description": "\u003cp\u003eDenotes annotated type is a parametric type.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "builtinSubtype",
      "description": "\u003cp\u003eDenotes annotated type is a builtin sub type.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isolatedParam",
      "description": "\u003cp\u003eDenotes that the annotated parameter expects an \u003ccode\u003eisolated\u003c/code\u003e value when used in an \u003ccode\u003eisolated\u003c/code\u003e context.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "deprecated",
      "description": "\u003cp\u003eAn annotation that marks a program element as deprecated.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "strand",
      "description": "\u003cp\u003eDenotes new Strand execution semantics.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "icon",
      "description": "\u003cp\u003eDenotes icon metadata related to types and functions.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    }
  ],
  "abstractObjects": []
};