var searchData = {
  "modules": [
    {
      "id": "lang.array",
      "description": "\u003cp\u003eThis module provides lang library list operations defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.1.0"
    }
  ],
  "classes": [],
  "functions": [
    {
      "id": "length",
      "description": "\u003cp\u003eReturns the number of members of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "enumerate",
      "description": "\u003cp\u003eReturns a new array consisting of index and member pairs.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function to each member of an array and returns an array of the results.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from an array for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of an array using a combining function.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "slice",
      "description": "\u003cp\u003eReturns a subarray starting from \u003ccode\u003estartIndex\u003c/code\u003e (inclusive) to \u003ccode\u003eendIndex\u003c/code\u003e (exclusive).\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "setLength",
      "description": "\u003cp\u003eChanges the length of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "indexOf",
      "description": "\u003cp\u003eReturns the index of first member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eReturns the index of last member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "reverse",
      "description": "\u003cp\u003eReverses the order of the members of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "sort",
      "description": "\u003cp\u003eSorts an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "pop",
      "description": "\u003cp\u003eRemoves and returns the last member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "push",
      "description": "\u003cp\u003eAdds values to the end of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "shift",
      "description": "\u003cp\u003eRemoves and returns first member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "unshift",
      "description": "\u003cp\u003eAdds values to the start of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toBase64",
      "description": "\u003cp\u003eReturns the string that is the Base64 representation of an array of bytes.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromBase64",
      "description": "\u003cp\u003eReturns the byte array that a string represents in Base64.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toBase16",
      "description": "\u003cp\u003eReturns the string that is the Base16 representation of an array of bytes.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromBase16",
      "description": "\u003cp\u003eReturns the byte array that a string represents in Base16.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toStream",
      "description": "\u003cp\u003eReturns a stream from the given array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    }
  ],
  "records": [],
  "constants": [],
  "errors": [],
  "types": [
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "Type1",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "PureType",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eanydata|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    }
  ],
  "clients": [],
  "listeners": [],
  "annotations": [],
  "abstractObjects": []
};