var searchData = {
  "modules": [
    {
      "id": "lang.float",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efloat\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    }
  ],
  "classes": [],
  "functions": [
    {
      "id": "isFinite",
      "description": "\u003cp\u003eTests whether a float is finite.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isInfinite",
      "description": "\u003cp\u003eTests whether a float is infinite.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isNaN",
      "description": "\u003cp\u003eTests whether a float is NaN.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eSum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eIEEE abs operation.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "round",
      "description": "\u003cp\u003eRound a float value to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "floor",
      "description": "\u003cp\u003eRounds a float down to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "ceiling",
      "description": "\u003cp\u003eRounds a float up to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sqrt",
      "description": "\u003cp\u003eReturns the square root of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cbrt",
      "description": "\u003cp\u003eReturns the cube root of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "pow",
      "description": "\u003cp\u003eRaises one float value to the power of another float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "log",
      "description": "\u003cp\u003eReturns the natural logarithm of a float value\nCorresponds to IEEE log operation.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "log10",
      "description": "\u003cp\u003eReturns the base 10 logarithm of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "exp",
      "description": "\u003cp\u003eRaises Euler\u0027s number to a power.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sin",
      "description": "\u003cp\u003eReturns the sine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cos",
      "description": "\u003cp\u003eReturns the cosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "tan",
      "description": "\u003cp\u003eReturns the tangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "acos",
      "description": "\u003cp\u003eReturns the arccosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "atan",
      "description": "\u003cp\u003eReturns the arctangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "asin",
      "description": "\u003cp\u003eReturns the arcsine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "atan2",
      "description": "\u003cp\u003ePerforms the 2-argument arctangent operation.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sinh",
      "description": "\u003cp\u003eReturns the hyperbolic sine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cosh",
      "description": "\u003cp\u003eReturns the hyperbolic cosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "tanh",
      "description": "\u003cp\u003eReturns the hyperbolic tangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toHexString",
      "description": "\u003cp\u003eReturns a string that represents \u003ccode\u003ex\u003c/code\u003e as a hexadecimal floating point number.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromHexString",
      "description": "\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toBitsInt",
      "description": "\u003cp\u003eReturns IEEE 64-bit binary floating point format representation of \u003ccode\u003ex\u003c/code\u003e as an int.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromBitsInt",
      "description": "\u003cp\u003eReturns the float that is represented in IEEE 64-bit floating point by \u003ccode\u003ex\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    }
  ],
  "records": [],
  "constants": [
    {
      "id": "PI",
      "description": "\u003cp\u003eThe number π\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "E",
      "description": "\u003cp\u003eEuler\u0027s number\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "NaN",
      "description": "\u003cp\u003eIEEE not-a-number value\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Infinity",
      "description": "\u003cp\u003eIEEE positive infinity\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    }
  ],
  "errors": [],
  "types": [],
  "clients": [],
  "listeners": [],
  "annotations": [],
  "abstractObjects": []
};