var searchData = {
  "modules": [
    {
      "id": "lang.string",
      "description": "\u003cp\u003eThis module provides lang library string operations defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.1.0"
    }
  ],
  "classes": [],
  "functions": [
    {
      "id": "length",
      "description": "\u003cp\u003eReturns the length of the string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over the string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "concat",
      "description": "\u003cp\u003eConcatenates zero or more strings.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "getCodePoint",
      "description": "\u003cp\u003eReturns the code point of a character in a string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "substring",
      "description": "\u003cp\u003eReturns a substring of a string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "codePointCompare",
      "description": "\u003cp\u003eLexicographically compares strings using their Unicode code points.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "\u0027join",
      "description": "\u003cp\u003eJoins zero or more strings together with a separator.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "indexOf",
      "description": "\u003cp\u003eFinds the first occurrence of one string in another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eFinds the last occurrence of one string in another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "startsWith",
      "description": "\u003cp\u003eTests whether a string starts with another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "endsWith",
      "description": "\u003cp\u003eTests whether a string ends with another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toLowerAscii",
      "description": "\u003cp\u003eConverts occurrences of A-Z to a-z.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toUpperAscii",
      "description": "\u003cp\u003eConverts occurrences of a-z to A-Z.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "equalsIgnoreCaseAscii",
      "description": "\u003cp\u003eTests whether two strings are the same, ignoring the case of ASCII characters.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "trim",
      "description": "\u003cp\u003eRemoves ASCII white space characters from the start and end of a string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toBytes",
      "description": "\u003cp\u003eRepresents \u003ccode\u003estr\u003c/code\u003e as an array of bytes using UTF-8.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromBytes",
      "description": "\u003cp\u003eConstructs a string from its UTF-8 representation in \u003ccode\u003ebytes\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toCodePointInts",
      "description": "\u003cp\u003eConverts a string to an array of code points.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toCodePointInt",
      "description": "\u003cp\u003eConverts a single character string to a code point.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromCodePointInts",
      "description": "\u003cp\u003eConstructs a string from an array of code points.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromCodePointInt",
      "description": "\u003cp\u003eConstructs a single character string from a code point.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    }
  ],
  "records": [],
  "constants": [],
  "errors": [],
  "types": [],
  "clients": [],
  "listeners": [],
  "annotations": [],
  "abstractObjects": []
};