var searchData = {
  "modules": [
    {
      "id": "lang.table",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etable\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.4.0"
    }
  ],
  "classes": [],
  "functions": [
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of members of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the member of table \u003ccode\u003et\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "put",
      "description": "\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e, replacing any member with the same key value.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "add",
      "description": "\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function each member of a table and returns a table of the result.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a table for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a table using a combining function.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "removeIfHasKey",
      "description": "\u003cp\u003eRemoves a member of a table with a given key, if the table has member with the key.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "hasKey",
      "description": "\u003cp\u003eTests whether \u003ccode\u003et\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "keys",
      "description": "\u003cp\u003eReturns a list of all the keys of table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "toArray",
      "description": "\u003cp\u003eReturns a list of all the members of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "nextKey",
      "description": "\u003cp\u003eReturns the next available integer key.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    }
  ],
  "records": [],
  "constants": [],
  "errors": [],
  "types": [
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "Type1",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    }
  ],
  "clients": [],
  "listeners": [],
  "annotations": [],
  "abstractObjects": []
};