var docData = {"isSingleFile":false,"name":"java","description":"","modules":[{"id":"java","summary":"\u003cp\u003eThis module provides the API for Java interoperability in Ballerina. It includes a set of Ballerina annotations with which Java constructors, methods, and fields can provide implementations of Ballerina functions with external function bodies.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides the API for Java interoperability in Ballerina. It includes a set of Ballerina annotations with which Java constructors, methods, and fields can provide implementations of Ballerina functions with external function bodies.\u003c/p\u003e\n\u003cp\u003eFor information on the operations, which you can perform with the Java module, see the below \u003cstrong\u003eFunctions\u003c/strong\u003e. For examples on the usage of the operations, see the following.\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/create-java-objects.html\"\u003eCreate Java Objects Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/invoke-java-methods.html\"\u003eInvoke Java Methods Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/access-mutate-java-fields.html\"\u003eAccess/Mutate Java Fields Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/java-varargs.html\"\u003eJava Varargs Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/overloaded-methods-constructors.html\"\u003eOverloaded Methods/Constructors Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/java-exceptions.html\"\u003eJava Exceptions Example\u003c/a\u003e\u003c/li\u003e\n\u003c/ul\u003e\n","orgName":"ballerina","version":"0.9.0","records":[{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false},{"defaultValue":"","type":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"dimensions","description":"\u003cp\u003eDimensions of the array type\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"ArrayType","description":"\u003cp\u003eRepresents a Java array type. It is used to specify the parameter types in the \u003ccode\u003ejava:Constructor\u003c/code\u003e and \u003ccode\u003ejava:Method\u003c/code\u003e\nannotations.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ArrayType","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"paramTypes","description":"\u003cp\u003eAn optional field, which describes the parameter types of the constructor\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"ConstructorData","description":"\u003cp\u003eDescribes a Java constructor. If the \u003ccode\u003eparamTypes\u003c/code\u003e field is not specified, then the parameter types are inferred from\nthe corresponding Ballerina function.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Identifier","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eAn optional field, which describes the name of the Java method. If this field is not provided, then the name\nis inferred from the Ballerina function name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ArrayType","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"paramTypes","description":"\u003cp\u003eAn optional field, which describes the parameter types of the method\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"MethodData","description":"\u003cp\u003eDescribes a Java method. If the \u003ccode\u003eparamTypes\u003c/code\u003e field is not specified, then the parameter types are inferred from the\ncorresponding Ballerina function.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Identifier","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eAn optional field, which describes the name of the Java field. If this field is not provided,\nthen the name is inferred from the Ballerina function name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false}],"isClosed":true,"name":"FieldData","description":"\u003cp\u003eDescribes a Java field.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false}],"isClosed":true,"name":"ObjectData","description":"\u003cp\u003eDescribes a Java class that corresponds to a Ballerina object.\u003c/p\u003e\n","isDeprecated":false}],"classes":[],"abstractObjects":[{"fields":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"jObj","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e reference to the corresponding Java object.\u003c/p\u003e\n","isDeprecated":false}],"methods":[],"name":"JObject","description":"\u003cp\u003eThe Ballerina abstract object which is to be extended by Ballerina\nobjects representing Ballerina bindings for Java classes.\u003c/p\u003e\n","isDeprecated":false}],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe Ballerina \u003ccode\u003estring\u003c/code\u003e with which the \u003ccode\u003ehandle\u003c/code\u003e is created\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java String representation of the Ballerina \u003ccode\u003estring\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java string representation of the Ballerina \u003ccode\u003estring\u003c/code\u003e.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehandle header \u003d java:fromString(\u0026quot;Content-Type\u0026quot;);\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e of which the referred value is to be converted to a Ballerina \u003ccode\u003estring\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe Ballerina \u003ccode\u003estring\u003c/code\u003e representation of the Java object referred by the \u003ccode\u003ehandle\u003c/code\u003e or else\nreturns \u003ccode\u003e()\u003c/code\u003e if the \u003ccode\u003ehandle\u003c/code\u003e refers to Java null\u003c/p\u003e\n","isDeprecated":false}],"name":"toString","description":"\u003cp\u003eReturns a Ballerina \u003ccode\u003estring\u003c/code\u003e representation of the Java object referred by the \u003ccode\u003ehandle\u003c/code\u003e.\nIf the \u003ccode\u003ehandle\u003c/code\u003e refers to Java null, then this function returns a \u003ccode\u003enil\u003c/code\u003e value.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003estring? version \u003d java:toString(versionProperty);\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e of which the referred value is to be tested with Java null\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003etrue\u003c/code\u003e if this handle refers to Java null\u003c/p\u003e\n","isDeprecated":false}],"name":"isNull","description":"\u003cp\u003eReturns \u003ccode\u003etrue\u003c/code\u003e if this handle refers to Java null.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eboolean status \u003d java:isNull(value);\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e, which refers to Java null\u003c/p\u003e\n","isDeprecated":false}],"name":"createNull","description":"\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to Java null.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehandle nullHandle \u003d java:createNull();\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eThe name of the Java class\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe Java Class object for the class with the given name\u003c/p\u003e\n","isDeprecated":false}],"name":"getClass","description":"\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java Class object associated with the class or interface with the given\nstring name.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehandle|error intClass \u003d java:getClass(\u0026quot;int\u0026quot;);\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eThis function performs a Java \u003ccode\u003eclass.forName(name)\u003c/code\u003e except for the following cases:\u003c/p\u003e\n\u003cp\u003e| Name     |   Output                                                      |\n|:---------|:--------------------------------------------------------------|\n| boolean  |   Java Class instance representing the primitive type boolean |\n| byte     |   Java Class instance representing the primitive type byte    |\n| char     |   Java Class instance representing the primitive type char    |\n| short    |   Java Class instance representing the primitive type short   |\n| int      |   Java Class instance representing the primitive type int     |\n| long     |   Java Class instance representing the primitive type long    |\n| float    |   Java Class instance representing the primitive type float   |\n| double   |   Java Class instance representing the primitive type double  |\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"JObject","category":"reference","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe \u003ccode\u003eJObject\u003c/code\u003e instance which is to be casted\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"castType","description":"\u003cp\u003eThe \u003ccode\u003eJObject\u003c/code\u003e implementation type \u003ccode\u003etypedesc\u0026lt;JObject\u0026gt;\u003c/code\u003e to which the given object is casted to if assignable\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"JObject","category":"reference","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003eJObject|error\u003c/code\u003e, which refers to the new \u003ccode\u003eJObject\u003c/code\u003e instance or an \u003ccode\u003eerror\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"cast","description":"\u003cp\u003eReturns an \u003ccode\u003eJObject|error\u003c/code\u003e, which is obtained after casting the provided \u003ccode\u003eJObject\u003c/code\u003e instance\nto the given \u003ccode\u003eJObject\u003c/code\u003e type depending on assignability.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eJObject|error obj \u003d java:cast(inputStream, typedesc\u0026lt;FileInputStream\u0026gt;);\nif (obj is JObject) {\n  FileInputStream fileInputStream \u003d \u0026lt;FileInputStream\u0026gt;obj;\n}\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"jObj","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e reference to the corresponding Java object.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003estring\u003c/code\u003e representation of the Java object.\u003c/p\u003e\n","isDeprecated":false}],"name":"jObjToString","description":"\u003cp\u003eReturns the string representation of a Java object stored in a handle reference.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ConstructorData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"Constructor","description":"\u003cp\u003eDescribes a Java constructor, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e. If the Ballerina function body is marked as \u003ccode\u003eexternal\u003c/code\u003e, it means that the implementation of the\nfunction is not provided in the Ballerina source module.\u003c/p\u003e\n\u003cp\u003eThe following code snippet shows an example usage of this annotation. Here, the \u003ccode\u003enewJavaLinkedList\u003c/code\u003e Ballerina function\u0027s\nimplementation is provided by the default constructor of the \u003ccode\u003ejava.util.LinkedList\u003c/code\u003e class.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction newJavaLinkedList() returns handle \u003d @java:Constructor {\n     \u0027class: \u0026quot;java.util.LinkedList\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"MethodData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"Method","description":"\u003cp\u003eDescribes a Java method, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e. If the Ballerina function body is marked as \u003ccode\u003eexternal\u003c/code\u003e, it means that the implementation of the\nfunction is not provided in the Ballerina source module.\u003c/p\u003e\n\u003cp\u003eThe following code snippet shows an example usage of this annotation. Here, the \u003ccode\u003egetUUID\u003c/code\u003e Ballerina function\u0027s\nimplementation is provided by the \u003ccode\u003ejava.util.UUID.randomUUID\u003c/code\u003e static method.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction getUUID() returns handle \u003d @java:Method {\n    name: \u0026quot;randomUUID\u0026quot;,\n    \u0027class: \u0026quot;java.util.UUID\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eThe \u003ccode\u003ename\u003c/code\u003e field is optional. If it is not provided, the name of the Java method is inferred\nfrom the Ballerina function.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"FieldData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"FieldGet","description":"\u003cp\u003eDescribes a Java Field access, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction getError() returns handle \u003d @java:FieldGet {\n    name:\u0026quot;err\u0026quot;,\n    \u0027class:\u0026quot;java/lang/System\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"FieldData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"FieldSet","description":"\u003cp\u003eDescribes a Java Field mutate, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction setContractId(handle contractId) \u003d @java:FieldSet {\n  name:\u0026quot;contractId\u0026quot;,\n  \u0027class:\u0026quot;org/lang/impl/JavaFieldAccessMutate\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ObjectData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"class","name":"Binding","description":"\u003cp\u003eDescribes the Java class representing a Ballerina binding.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e@java:Binding {\n  \u0027class: \u0026quot;java.io.File\u0026quot;\n}\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false}],"errors":[{"name":"JavaClassNotFoundError","description":"\u003cp\u003eRepresents a \u003ccode\u003eJavaError\u003c/code\u003e with the message and the cause.\u003c/p\u003e\n","isDeprecated":false}],"types":[]}]};